# This file created by conda-build 3.17.8
# ------------------------------------------------

package:
    name: numpy-base
    version: 1.16.1
source:
    -   patches:
            - 0001-fix-windows-case-sensitivity.patch
            - 0002-simplify-arch-flags.patch
            - 0003-Obtain-and-prefer-custom-gfortran-from-env-variable.patch
            - 0004-disable-memmap-filename-test-due-to-CI-link-confusio.patch
            - 0005-disable-broken-tests.patch
            - 0017-mark-known-failing-tests-on-ppc64le.patch
        sha256: 31d3fe5b673e99d33d70cfee2ea8fe8dccd60f265c3ed990873a88647e3dd288
        url: https://pypi.io/packages/source/n/numpy/numpy-1.16.1.zip
build:
    force_use_keys:
        - python
    noarch: false
    number: '1'
    script: install_base.sh
    string: py37ha711998_1
requirements:
    build:
        - cctools 895 1
        - clang 4.0.1 1
        - clang_osx-64 4.0.1 h1ce6c1d_11
        - compiler-rt 4.0.1 hcfea43d_1
        - gfortran_osx-64 4.8.5 h22b1bf0_8
        - ld64 274.2 1
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - libgfortran 3.0.1 h93005f0_2
        - llvm 4.0.1 1
        - llvm-lto-tapi 4.0.1 1
    host:
        - blas 1.0 openblas
        - ca-certificates 2019.1.23 0
        - certifi 2018.11.29 py37_0
        - cython 0.29.5 py37h0a44026_0
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - libedit 3.1.20181209 hb402a30_0
        - libffi 3.2.1 h475c297_4
        - libgfortran 3.0.1 h93005f0_2
        - libopenblas 0.3.3 hdc02c5d_3
        - ncurses 6.1 h0a44026_1
        - nomkl 3.0 0
        - openblas-devel 0.3.3 3
        - openssl 1.1.1b h1de35cc_0
        - python 3.7.2 haf84260_0
        - readline 7.0 h1de35cc_5
        - setuptools 40.8.0 py37_0
        - sqlite 3.26.0 ha441bb4_0
        - tk 8.6.8 ha441bb4_0
        - xz 5.2.4 h1de35cc_4
        - zlib 1.2.11 h1de35cc_3
    run:
        - blas * openblas
        - libgfortran >=3.0.1,<4.0.0.a0
        - libopenblas >=0.3.3,<1.0a0
        - python >=3.7,<3.8.0a0
test:
    commands:
        - test -e $SP_DIR/numpy/distutils/site.cfg
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - jakirkham
        - msarahan
        - ocefpaf
        - pelson
        - rgommers
